# H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate > Class Template Reference

`#include <h323caps.h>`

Inheritance diagram for H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >:

[legend]
Collaboration diagram for H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >:
[legend]

## Public Member Functions

| H323GenericAudioCapabilityTemplate ()
virtual PObject * | Clone () const
virtual PString | GetFormatName () const

### template<const char * oid, const OpalAudioFormat & fmtFunc, unsigned fixedBitRate = 0>
class H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >

## Constructor & Destructor Documentation

template<const char * oid, const OpalAudioFormat & fmtFunc, unsigned fixedBitRate = 0>

H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >::H323GenericAudioCapabilityTemplate | ( |  | ) | `[inline]`

## Member Function Documentation

template<const char * oid, const OpalAudioFormat & fmtFunc, unsigned fixedBitRate = 0>

virtual PObject* H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >::Clone | ( |  | ) | const`[inline, virtual]`

template<const char * oid, const OpalAudioFormat & fmtFunc, unsigned fixedBitRate = 0>

virtual PString H323GenericAudioCapabilityTemplate< oid, fmtFunc, fixedBitRate >::GetFormatName | ( |  | ) | const`[inline, virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

The documentation for this class was generated from the following file:

- h323caps.h